Skip to content

List sub-accounts

View .md
GET

List sub-accounts for this team. Requires a parent project API key; sub-account API keys receive HTTP 403.

Authorization

  • Authorizationheaderrequired

    Bearer YOUR_API_KEY. Create a key in the dashboard.

Query parameters

  • limitinteger
    Default50
    Limitsmax 100
  • cursorstring

Responses

200List of sub-accounts.
  • itemsobject[]required
    9 properties
    • idstringrequired
    • namestringrequired
    • externalIdstringnullable

      External reference ID set by the parent account.

    • statusstringrequired

      active and inactive are set with PATCH. pending_deletion is read-only: the sub-account was deactivated with DELETE, its API keys are revoked, and it is removed after 14 days.

      One ofactiveinactivepending_deletion
    • totalSpentintegerrequired

      Total amount spent by this sub-account in cents.

    • creditLimitintegernullable

      Spending cap in cents. When reached, messages from this sub-account will be blocked.

    • metadataobjectnullable
    • apiKeystring

      API key for the sub-account. Only returned on creation.

    • createdAtstring<date-time>required
  • nextCursorstringnullable
401Unauthorized.
  • codestringrequired
  • messagestringrequired
  • detailsobject
403Forbidden. Sub-account API keys cannot manage sub-accounts.
  • codestringrequired
  • messagestringrequired
  • detailsobject